summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author bocke2012-12-09 17:00:41 +0100
committer dsomero2012-12-11 22:21:57 +0100
commit02c9dd7a1beddfc02506596828f52d467c07fd8e (patch)
tree67bd42644ad45fc06be772817662ca572ba1c346
parente3530f8b395f72b8d7dea8bc1e7ea40b04d5d0e7 (diff)
downloadslackbuilds-02c9dd7a1beddfc02506596828f52d467c07fd8e.tar.gz
graphics/xbmbrowser: Added (xbm and xpm browser)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--graphics/xbmbrowser/README3
-rw-r--r--graphics/xbmbrowser/slack-desc19
-rw-r--r--graphics/xbmbrowser/xbmbrowser.SlackBuild92
-rw-r--r--graphics/xbmbrowser/xbmbrowser.info10
4 files changed, 124 insertions, 0 deletions
diff --git a/graphics/xbmbrowser/README b/graphics/xbmbrowser/README
new file mode 100644
index 0000000000..371f0bd121
--- /dev/null
+++ b/graphics/xbmbrowser/README
@@ -0,0 +1,3 @@
+A program to allow the user to view a complete directory of X
+bitmaps and X pixmaps all in one go, and to perform user defined
+actions on these images.
diff --git a/graphics/xbmbrowser/slack-desc b/graphics/xbmbrowser/slack-desc
new file mode 100644
index 0000000000..789368c05a
--- /dev/null
+++ b/graphics/xbmbrowser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xbmbrowser: xbmbrowse (xbm and xpm browser)
+xbmbrowser:
+xbmbrowser: A program to allow the user to view a complete directory of X
+xbmbrowser: bitmaps and X pixmaps all in one go, and to perform user defined
+xbmbrowser: actions on these images.
+xbmbrowser:
+xbmbrowser:
+xbmbrowser:
+xbmbrowser:
+xbmbrowser:
+xbmbrowser:
diff --git a/graphics/xbmbrowser/xbmbrowser.SlackBuild b/graphics/xbmbrowser/xbmbrowser.SlackBuild
new file mode 100644
index 0000000000..78ddd18481
--- /dev/null
+++ b/graphics/xbmbrowser/xbmbrowser.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for xbmbrowser
+# Copyright 2012, Bojan Popović, Belgrade, Serbia, <bocke@slackware-srbija.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=xbmbrowser
+VERSION=${VERSION:-5.1b}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="Changes OtherUses README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}$VERSION
+tar xvf $CWD/${PRGNAM}$VERSION.tar.?z*
+cd ${PRGNAM}$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+export CFLAGS=$SLKCFLAGS
+export LDFLAGS=-L/usr/lib${LIBDIRSUFFIX}
+export LIBDIR=/usr/lib${LIBDIRSUFFIX}
+
+xmkmf -a
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/xbmbrowser/xbmbrowser.info b/graphics/xbmbrowser/xbmbrowser.info
new file mode 100644
index 0000000000..f70a7269e1
--- /dev/null
+++ b/graphics/xbmbrowser/xbmbrowser.info
@@ -0,0 +1,10 @@
+PRGNAM="xbmbrowser"
+VERSION="5.1b"
+HOMEPAGE="http://www.ict.griffith.edu.au/anthony/software/"
+DOWNLOAD="http://www.ict.griffith.edu.au/anthony/software/xbmbrowser5.1b.tar.gz"
+MD5SUM="cbe0d9de41593b8f638f956035bc7fa8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="bocke"
+EMAIL="bocke@slacware-srbija.org"